=== debian/changelog ===
qtwebkit-source (2.3.0-0ubuntu2.1) raring-proposed; urgency=low

  * raring SRU to fix crash LP: #1180731

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 May 2013 11:02:57 +0100

qtwebkit-source (2.3.0-0ubuntu3) saucy; urgency=low

  * Add patch 108991-jsval-32bit-fix.patch fixes
    QtWebKit JS crash on 32-bit systems LP: #1180731

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 May 2013 10:58:14 +0100

qtwebkit-source (2.3.0-0ubuntu2) raring; urgency=low

  * Add kubuntu_fix_for_powerpc.diff from upstream to fix compile on powerpc
    https://bugs.webkit.org/show_bug.cgi?id=112141

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Mar 2013 15:37:15 +0000

qtwebkit-source (2.3.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Mar 2013 16:58:17 +0000

qtwebkit-source (2.3-0ubuntu8) raring; urgency=low

  * Disable the assembler and JIT on powerpc with more gusto.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Mar 2013 11:08:22 -0700

qtwebkit-source (2.3-0ubuntu7) raring; urgency=low

  * Add ENABLE_ASSEMBLER=0 to powerpc in hope it'll work

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Mar 2013 12:01:48 +0000

qtwebkit-source (2.3-0ubuntu6) raring; urgency=low

  * Fix conditional semantics

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Feb 2013 14:15:49 +0000

qtwebkit-source (2.3-0ubuntu5) raring; urgency=low

  * Disable JIT assember on powerpc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Feb 2013 13:49:41 +0000

qtwebkit-source (2.3-0ubuntu4) raring; urgency=low

  * Use $(DEB_HOST_MULTIARCH) for install location for .so link

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Feb 2013 16:43:20 +0000

qtwebkit-source (2.3-0ubuntu3) raring; urgency=low

  * Install upper case headers
  * Install .so link

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Feb 2013 15:45:33 +0000

qtwebkit-source (2.3-0ubuntu2) raring; urgency=low

  * Install full headers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Feb 2013 17:31:06 +0000

qtwebkit-source (2.3-0ubuntu1) raring; urgency=low

  * New upstream release, QtWebKit 2.3 is a backport of QtWebkit for
    Qt 5 to Qt 4, backport packaging from Qt 5
  * Switch to building with ./Tools/Scripts/build-webkit as recommended
    by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Feb 2013 14:24:18 +0000

qtwebkit-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - Add missing Pre-Depends for xz compression
    - Rename packages by appending the major version
    - Depend on system png/jpeg libraries
    - Depend on qtsensors5-dev and qtlocation5-dev
  * debian/*.install:
    - Adjust to the new version and library renames
  * debian/rules:
    - Remove .la files
    - Remove rpath from QtWebProcess/QtWebPluginProcess
  * debian/copyright:
    - Fix invalid UTF-8
  * Drop patches:
    - 01_lflags_as-needed.diff
    - 02_add_nostrip_for_debug_packages.diff
    - 03_hide_std_symbols.diff
    - 04_enable_debug_information.diff
    - Fix_build_with_GLib_2.31_changeset_r97269.patch
    - defines_qt_webkit.diff
    - glibc_hurd_mkspecs.diff
    - linux_amd64_no_overcommit.diff
    - upstream_changeset_r113848.diff
    - upstream_changeset_r93631.diff
  * Update patches:
    - 05_sparc_unaligned_access.diff
    - hurd.diff
    - no_gc_sections.diff (add i386/i686)
    - stabs_format_debug_info.diff (add i386/i686)
    - webkit_qt_hide_symbols.diff
  * Add patch:
    - disable_geolocation_501.diff (build failure)
    - save_memory.diff (try to conserve even more memory on arm)
  * Add Ubuntu specific patch:
    - devicePixelResolution.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 12:30:39 +0000

qtwebkit (2.2.1-5) unstable; urgency=low

  * Team upload.
  * Re upload the package to fix the M-A uninstallability due to a binNMU
    (Closes: #676162).
  * This upload will get rebuilt with xz compression (Closes: #687036).
    Thanks Ansgar Burchardt for the patch.
  * Rewrite debian/copyright to DEP-5 (Closes: #673268).
    Thanks Elena ``of Valhalla'' Grandi and Tobias Bengfort.
    The current copyright is *huge*: 12637 lines. I have reviewed it but
    there still could be errors.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Nov 2012 18:01:12 -0300
