=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               flex,
               bison,
               gperf,
               python-minimal,
               python2.7,
               ruby,
               libgstreamer0.10-dev, 
               libgstreamer-plugins-base0.10-dev,
               libicu-dev,
               libsqlite3-dev,
               libxml2-dev,
               mesa-common-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libxrender-dev,
               libxslt1-dev,
               qt4-default,
               libqt4-dev,
               libqt4-opengl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               chrpath,
               libpng12-dev,
               libjpeg-dev,
               libfontconfig1-dev,
Standards-Version: 3.9.4
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4:4.8.0),
         libqtwebkit4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt4-dev (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqtwebkit4 (= ${binary:Version}), ${misc:Depends}
Replaces: libqt4-webkit-dbg (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.
