=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

export QMAKEPATH=Tools/qmake
export QTDIR=/usr
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper

override_dh_auto_clean:
	rm -rf WebKitBuild
	-find . -name *.pyc | xargs rm

override_dh_auto_configure:
	true

override_dh_auto_build:
#disable JIT assember on powerpc where it doesn't compile
ifeq (,$(filter $(DEB_HOST_ARCH),powerpc))
	./Tools/Scripts/build-webkit --qt
else
	./Tools/Scripts/build-webkit --qt DEFINES+=ENABLE_JIT=0 DEFINES+=ENABLE_YARR_JIT=0 DEFINES+=ENABLE_ASSEMBLER=0
endif

override_dh_auto_install:
	dh_install
	mkdir -p debian/libqtwebkit4/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp --no-dereference WebKitBuild/Release/lib/libQtWebKit.so.* debian/libqtwebkit4/usr/lib/$(DEB_HOST_MULTIARCH)/

	mkdir -p debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	cp WebKitBuild/Release/lib/libQtWebKit.prl debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libQtWebKit.prl
	cp WebKitBuild/Release/lib/pkgconfig/QtWebKit.pc debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/QtWebKit.pc
	mkdir -p debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	cp Source/WebKit/qt/Api/*h debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	cp WebKitBuild/Release/include/QtWebKit/Q* debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	rm debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/*_p.h
	ln -s libQtWebKit.so.4.10.0 debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libQtWebKit.so

	mkdir -p debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/
	cp WebKitBuild/Release/imports/QtWebKit/libqmlwebkitplugin.so debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/
	cp WebKitBuild/Release/imports/QtWebKit/qmldir debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/

override_dh_builddeb:
	dh_builddeb -- -Zxz
